org.gradle.plugins.ide.eclipse

## Class EclipseWtpPlugin

- java.lang.Object
- - org.gradle.plugins.ide.internal.IdePlugin
  - - org.gradle.plugins.ide.eclipse.EclipseWtpPlugin

- All Implemented Interfaces:
    Plugin<Project>, org.gradle.plugins.ide.internal.IdeArtifactRegistry

      public class EclipseWtpPlugin
      extends org.gradle.plugins.ide.internal.IdePlugin

  A plugin which configures the Eclipse Web Tools Platform.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ECLIPSE_WTP_COMPONENT_TASK_NAME`
    `static String` | `ECLIPSE_WTP_FACET_TASK_NAME`
    `org.gradle.internal.reflect.Instantiator` | `instantiator`
    `static String` | `WEB_LIBS_CONTAINER`

    - ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EclipseWtpPlugin(org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getLifecycleTaskName()`
    `protected void` | `onApply(Project project)`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `addWorker, addWorker, apply, cleanName, getCleanTask, getCleanTask, getIdeArtifactMetadata, getIdeArtifacts, getLifecycleTask, isRoot, postProcess, registerIdeArtifact, toGradleCommand`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ECLIPSE_WTP_COMPONENT_TASK_NAME

          public static final String ECLIPSE_WTP_COMPONENT_TASK_NAME

      See Also:
        Constant Field Values

    - #### ECLIPSE_WTP_FACET_TASK_NAME

          public static final String ECLIPSE_WTP_FACET_TASK_NAME

      See Also:
        Constant Field Values

    - #### WEB_LIBS_CONTAINER

          public static final String WEB_LIBS_CONTAINER

      See Also:
        Constant Field Values

    - #### instantiator

          public final org.gradle.internal.reflect.Instantiator instantiator

  - ### Constructor Detail

    - #### EclipseWtpPlugin

          @Inject
          public EclipseWtpPlugin(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### getLifecycleTaskName

          protected String getLifecycleTaskName()

      Specified by:
        `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

    - #### onApply

          protected void onApply(Project project)

      Overrides:
        `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`